package com.idiot.operationbackend.service.impl;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.idiot.operationbackend.entity.AccountCustomerMsg;
import com.idiot.operationbackend.mappers.AccountCustomerMsgMapper;
import com.idiot.operationbackend.service.facade.AccountCustomerMsgService;
import com.idiot.operationbackend.service.facade.AccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

/**
 * @author wang xiao
 * @date Created in 15:59 2020/9/22
 */
@Service
public class AccountCustomerMsgServiceImpl extends ServiceImpl<AccountCustomerMsgMapper, AccountCustomerMsg>
        implements AccountCustomerMsgService {


    @Autowired
    private AccountService accountService;

    @Override
    public List<AccountCustomerMsg> queryByMsgId(String msgId) {
        List<AccountCustomerMsg> accountCustomerMsgs =  list(Wrappers.<AccountCustomerMsg>lambdaQuery()
                .eq(AccountCustomerMsg::getMsgId,msgId)
                .orderByAsc(AccountCustomerMsg::getStatus));

        if (CollectionUtils.isNotEmpty(accountCustomerMsgs)) {
            for (AccountCustomerMsg customerMsg : accountCustomerMsgs) {
                Optional.ofNullable(accountService.getById(customerMsg.getAccountId()))
                        .map(e->{
                            customerMsg.setNikeName(e.getNickName());
                            customerMsg.setHeadImage(e.getHeadImage());
                            return customerMsg;
                        });
            }
        }
        return accountCustomerMsgs;
    }
}
